aboutsummaryrefslogtreecommitdiff
path: root/test-suite/misc
diff options
context:
space:
mode:
authorThéo Zimmermann2018-05-11 10:38:58 +0200
committerThéo Zimmermann2018-05-11 10:38:58 +0200
commit4abf92639c13002c2ca8aff0015a42aff5c6b329 (patch)
tree77038f3e1e3d3a0ca01c458f51f5d32bbf7520b2 /test-suite/misc
parent5da17b8c60846913db18b0f9216d63898933aa52 (diff)
parent73e91542293af304ff25db9d3ea5495a9aa95249 (diff)
Merge PR #7456: [toplevel] Don't ignore output filename provided by user in -o
Diffstat (limited to 'test-suite/misc')
-rwxr-xr-xtest-suite/misc/coqc_dash_o.sh15
-rw-r--r--test-suite/misc/coqc_dash_o.v1
2 files changed, 16 insertions, 0 deletions
diff --git a/test-suite/misc/coqc_dash_o.sh b/test-suite/misc/coqc_dash_o.sh
new file mode 100755
index 0000000000..f303214b9a
--- /dev/null
+++ b/test-suite/misc/coqc_dash_o.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+DOUT=misc/tmp_coqc_dash_o/
+OUT=${DOUT}coqc_dash_o.vo
+
+
+mkdir -p "${DOUT}"
+rm -f "${OUT}"
+$coqc misc/coqc_dash_o.v -o "${OUT}"
+if [ ! -f "${OUT}" ]; then
+ printf "coqc -o not working"
+ exit 1
+fi
+rm -fr "${DOUT}"
+exit 0
diff --git a/test-suite/misc/coqc_dash_o.v b/test-suite/misc/coqc_dash_o.v
new file mode 100644
index 0000000000..7426dff1a0
--- /dev/null
+++ b/test-suite/misc/coqc_dash_o.v
@@ -0,0 +1 @@
+Definition x := nat.